
# Fedora package review: http://bugzilla.redhat.com/530342

Summary: Configure the appearance of GTK apps in KDE 
Name:    kcm-gtk 
Version: 0.5.3
Release: 1%{?dist}

License: GPLv2+
Group:   User Interface/Desktops
URL:     https://launchpad.net/kcm-gtk 
Source0: http://launchpad.net/kcm-gtk/0.5.x/%{version}/+download/kcm-gtk_%{version}.orig.tar.gz 
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n) 

# set GTK2_RC_FILES=~/.gtkrc-2.0-kde4
Source1: kcm-gtk.sh

## upstreamable patches
# Categories += Settings, else doesn't appear in systemsettings anywhere (?)
Patch50: kcm-gtk-0.5.1-settings_category.patch
# ensures GTK2_RC_FILES gets used/updated on first use, avoids 
# possible need for logout/login, code borrowed from kdebase-workspace's krdb.cpp
Patch51: kcm-gtk-0.5.3-gtkrc_setenv.patch

%if 0%{?fedora} > 11
Obsoletes: gtk-qt-engine <= 1:1.1
%endif

BuildRequires: gettext
BuildRequires: kdelibs4-devel

%{?_kde4_macros_api:Requires: kde4-macros(api) = %{_kde4_macros_api} }

%description
This is a System Settings configuration module for configuring the
appearance of GTK apps in KDE.

%prep
%setup -q 

%patch50 -p1 -b .settings_category
%patch51 -p1 -b .gtkrc_setenv



%build

mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf %{buildroot} 

make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

%find_lang kcm_gtk

install -p -m644 -D %{SOURCE1} %{buildroot}%{_sysconfdir}/kde/env/kcm-gtk.sh


%clean
rm -rf %{buildroot} 


%files -f kcm_gtk.lang
%defattr(-,root,root,-)
%doc Changelog COPYING
%{_sysconfdir}/kde/env/kcm-gtk.sh
%{_kde4_libdir}/kde4/kcm_gtk.so
%{_kde4_iconsdir}/kcm_gtk.png
%{_kde4_datadir}/kde4/services/kcmgtk.desktop


%changelog
* Fri Oct 30 2009 Rex Dieter <rdieter@fedoraproject.org> 0.5.3-1
- kcm-gtk-0.5.3
- .gtkrc-2.0-kde4 doesn't get used (#531788)

* Thu Oct 22 2009 Rex Dieter <rdieter@fedoraproject.org> 0.5.1-2
- Requires: kde4-macros(api)...

* Thu Oct 22 2009 Rex Dieter <rdieter@fedoraproject.org> 0.5.1-1
- kcm-gtk-0.5.1 (first try)

